<div
	class="backdrop contextual-action-button-backdrop"
	ng-click="vm.closeMenu()"
	ng-show="vm.isMenuOpen()"
></div>

<div class="event-wrapper">

	<button 
		ng-class="vm.getButtonStyle()" 
		class="top-bar-create-case btn-floating" 
		ng-click="vm.openMenu()"
		aria-label="Groene plus knop menu openen" 
		aria-haspopup="true"
		aria-expanded="{{vm.isMenuOpen()}}"
		id="action-menu-button"
	>
		<zs-icon icon-type="plus"></zs-icon>
	</button>

	<ul 
		class="popup-menu-list"
		id="action-menu-button-list"
		role="menu"
	>
		<li 
			class="popup-menu-list-item" 
			ng-repeat="option in vm.options() track by option.name"
			data-type="{{::option.type}}"
			data-name="{{::option.name}}"
			role="none"
		>
			<button
				class="popup-menu-list-item-button"
				ng-click="vm.handleOptionClick(option, $event)"
				zs-tooltip-options="vm.titleOptions"
				aria-label="{{::option.label}}"
				role="menuitem"
			>
				<div class="button-inner">
					<div class="popup-menu-list-item-label">
						{{::option.label}}
					</div>
					<div class="zs-icon-wrapper btn-floating">
						<zs-icon icon-type="{{::option.iconClass}}">
						</zs-icon>
					</div>
				</div>

			</button>
		</li>
	</ul>

</div>
